BidirectionalDegree
Keywords: uk.ac.ic.doc.automed.matching.BidirectionalDegree,BidirectionalDegree class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class BidirectionalDegree

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.BidirectionalDegree

public class BidirectionalDegree
extends java.lang.Object

Constructor Summary
`BidirectionalDegree(double forward, double backward)`

Method Summary
`void` | `add(BidirectionalDegree bd)`
`void` | `divide(BidirectionalDegree bd)`
`boolean` | `equals(BidirectionalDegree d)`
`double` | `getBackwardDegree()`
`double` | `getForwardDegree()`
`boolean` | `isNaN()`
`void` | `multiply(BidirectionalDegree bd)`
`boolean` | `overFunction(double c)`
`void` | `setBackwardDegree(double backward)`
`void` | `setForwardDegree(double forward)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BidirectionalDegree

    public BidirectionalDegree(double forward,
                               double backward)

Method Detail

### isNaN

    public boolean isNaN()

### getForwardDegree

    public double getForwardDegree()

### getBackwardDegree

    public double getBackwardDegree()

### setForwardDegree

    public void setForwardDegree(double forward)

### setBackwardDegree

    public void setBackwardDegree(double backward)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### add

    public void add(BidirectionalDegree bd)

### divide

    public void divide(BidirectionalDegree bd)

### multiply

    public void multiply(BidirectionalDegree bd)

### overFunction

    public boolean overFunction(double c)

### equals

    public boolean equals(BidirectionalDegree d)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD